### Function

# St ImageContent new_with_preferred_size

#### Declaration [src]

    ClutterContent*
    st_image_content_new_with_preferred_size (
      int width,
      int height
    )

#### Description [src]

Creates a new `StImageContent`, a simple content for sized images.

#### Parameters

`width`

  Type: `int`

  The preferred width to be used when drawing the content.

`height`

  Type: `int`

  The preferred width to be used when drawing the content.

#### Return value

Type: `ClutterContent`

The newly created `StImageContent` content Use `g_object_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.